Chelabase
ManagementMembers

Reset your personal login's password

POST
/v1/databases/{id}/personal-login/reset-password

A new generated password, answered this once with Cache-Control: no-store; the old one is refused at once. It also renews the login for 90 days (an expired login comes back this way). A revoked login can't be reset: make a new one.

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Database id

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/databases/497f6eca-6276-4993-bfeb-53cbbbba6f08/personal-login/reset-password"
{  "connection_string": "string",  "login": {    "created_at": "2019-08-24T14:15:22Z",    "database_id": "91088904-0b92-46ad-9240-e1afa0da22df",    "database_name": "string",    "member_id": "435a4844-006a-4cfc-a644-e8eb2dd2ca43",    "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",    "revoked_at": "2019-08-24T14:15:22Z",    "revoked_reason": "access_lost",    "role_name": "string",    "status": "active",    "valid_until": "2019-08-24T14:15:22Z"  },  "password": "string",  "ready_on_main": true}